Bug 100691 - kernel-smp unstable - apps crash and/or oopses
kernel-smp unstable - apps crash and/or oopses
Product: Red Hat Linux Beta
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
Blocks: CambridgeBlocker
  Show dependency treegraph
Reported: 2003-07-24 09:06 EDT by Tom Wood
Modified: 2015-01-04 17:02 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-21 16:14:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
output of "lspci -v" (2.61 KB, text/plain)
2003-07-24 09:07 EDT, Tom Wood
no flags Details
oops number 1 (1.81 KB, text/plain)
2003-07-30 16:04 EDT, Tom Wood
no flags Details
oops (3.95 KB, text/plain)
2003-07-30 16:04 EDT, Tom Wood
no flags Details

  None (edit)
Description Tom Wood 2003-07-24 09:06:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
SMP kernel unstable.  Randomly placed oopses and/or application segfaults when
able to boot fully.  Cannot duplicate any single instance reliably, but can get
errors on demand.  Single processor kernel works fine on same machine.  ACPI
on/off, pci=noacpi doesn't matter.  Motherboard is a Tyan Tiger MPX with USB
support on the mobo (earlier Tiger MPX mobos had no USB support because 760MPX
chipset is broken w.r.t. USB).  BIOS version is 4.0.5, which is the latest and
greatest at the time of this writing.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot SMP kernel on Tyan Tiger MPX
2. Experience random oopses during boot and/or app failures afterward.

Actual Results:  Seemingly random oopses and segfaults.

Expected Results:  No problems.

Additional info:

Attaching lspci output
Comment 1 Tom Wood 2003-07-24 09:07:42 EDT
Created attachment 93102 [details]
output of "lspci -v"
Comment 2 Bill Nottingham 2003-07-28 16:35:58 EDT
Can you post some of the oopses/crashes?
Comment 3 Tom Wood 2003-07-30 16:01:07 EDT
Can post oopses but can't run them through ksymoops because ksymoops isn't
included in serern.  Will the stock one mentioned in the ksymoops README work
for this beta kernel?
Comment 4 Arjan van de Ven 2003-07-30 16:03:11 EDT
the kernel itself will ksymoops the oopses, if you do it by hand they just get
Comment 5 Tom Wood 2003-07-30 16:04:01 EDT
Created attachment 93271 [details]
oops number 1

oops in ext3_write_super - looks bad, fellas.  Only occurs when booted into SMP
kernel.  System ran without a hitch for a week with UP kernel.
Comment 6 Tom Wood 2003-07-30 16:04:51 EDT
Created attachment 93272 [details]

oops in ext3_new_block - another nasty looking beast.
Comment 7 Tom Wood 2003-08-20 10:49:15 EDT
Installing RHES on this same machine generated a CPU1 machine check exception. 
So, I suspect that the hardware is to blame - probably the second CPU is toast
(not hard to do with exposed silicon without heatspreader protection and a
cranky heatsink mechanism).  It would be nice if the Severn/Cambridge kernels
also trapped these exceptions well enough to report this.
Comment 8 Bill Nottingham 2003-10-21 16:14:15 EDT
Closing as working for us, then.

Note You need to log in before you can comment on or make changes to this bug.